Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25297

Description

QGIS Server returns "Layer not found" errors on GetFeatureInfo queries with out-of-scale layers.

This is the query:

http://197.157.195.138/qgis/cid?service=WMS&version=1.1.1&request=GetFeatureInfo&srs=EPSG:3857&info_format=text%2Fx

ml&x=51&y=51&exceptions=application%2Fjson&id=1509025731902&layers=Communes&query_layers=Communes&height=101&width=101&bbox=3282411.2320540333,-398477.5109080996,3310804.3310123663,-370084.4119497662&feature_count=10&FI_PO

1&width=101&bbox=3282411.2320540333,-398477.5109080996,3310804.3310123663,-370084.4119497662&feature_count=10&FI_POINT_TOLERANCE=16&FI_LINE_TOLERANCE=8&FI_POLYGON_TOLERANCE=4


0&FI_POINT_TOLERANCE=16&FI_LINE_TOLERANCE=8&FI_POLYGON_TOLERANCE=4

It has query_layers=Communes

.

The corresponding GetMap query works as expected:

http://197.157.195.138/qgis/cid?service=WMS&version=1.1.1&request=GetMap&srs=EPSG:3857&exceptions=application%2Fjs

on&id=1509025731902&layers=Communes&height=101&width=101&bbox=3282411.2320540333,-398477.5109080996,3310804.3310123663,-370084.4119497662


04.3310123663,-370084.4119497662

I've figured that the issue is related to the visibility of the layer. If the layer is scale-dependant and not visible at the current scale then

QGIS Server returns a "Layer not found" error.

That behaviour is not correct. An empty response should be received instead of an error. It is a major bug!

Associated revisions

Revision 39bce943 - 2017-11-10 04:25 PM - Paul Blottiere

Fixes #17400 by returning an empty response if a layer is ignored due to configuration

Revision ecacb3b0 - 2017-11-10 05:02 PM - Paul Blottiere

Merge pull request #5519 from pblottiere/server_bugfix_layernotfoud

[server][bugfix] Fixes #17400 by returning an empty response instead of an exception
History

#1 - 2017-11-07 12:11 PM - Paul Blottiere

- Assignee set to Paul Blottiere

#2 - 2017-11-10 05:02 PM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|39bce943bd0b6a20b4745c471773adbcdae792ee.

2024-04-10 2/2


